Name: x11-driver-video-i810
Version: 1.7.4
Release: %mkrel 25
Summary: The X.org driver for Intel i810
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-i810-%{version}.tar.bz2
Patch0: x11-driver-video-i810-vt_fix.patch
Patch1: xf86-video-i810-fix-version-test.patch  
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros		>= 1.1.5-4mdk
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libx11-devel		>= 1.1.3
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libxv-devel		>= 1.0.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libxvmc-devel		>= 1.0.4
BuildRequires: libmesagl-devel		>= 7.0.2
Requires: x11-driver-video-intel
Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for Intel i810


%prep
%setup -q -n xf86-video-i810-%{version}
# prevents the driver from doing operations when we do not have the VT lock 
%patch0 -p1 -b .vt_fix
%patch1 -p1 -b .ver

%build
# fix some version mismatch problems
autoreconf
%configure

%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/libI810XvMC.la
rm -f %{buildroot}%{_libdir}/libI810XvMC.so
rm -f %{buildroot}%{_libdir}/libI810XvMC.so.1
rm -f %{buildroot}%{_libdir}/libI810XvMC.so.1.0.0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/i810_drv.la
%{_libdir}/xorg/modules/drivers/i810_drv.so
%{_mandir}/man4/i810.4*


%changelog
* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.7.4-25mdv2008.1
+ Revision: 154977
- Updated BuildRequires and resubmit package.
- Update BuildRequires to match information collected by build scripts. And
  either require the proper version or add the missing BuildRequires.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 1.7.4-23mdv2008.1
+ Revision: 101660
- Resurrect old i810 driver for some obscure older chipsets that are not currently supported by intel 2.x driver
- import x11-driver-video-i810


